aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDundar Göc <gocdundar@gmail.com>2022-02-07 14:29:47 +0100
committerDundar Göc <gocdundar@gmail.com>2022-02-10 09:43:51 +0100
commit2c5382aafa2e7f36ddb13a61f557e1d232a4b4ee (patch)
tree353bf087cb9ea916aafb6a7c2030f6d54a230ecc
parent2f3fb53dbda20ac1af8028855c8cb81cfb31fd5f (diff)
downloadrneovim-2c5382aafa2e7f36ddb13a61f557e1d232a4b4ee.tar.gz
rneovim-2c5382aafa2e7f36ddb13a61f557e1d232a4b4ee.tar.bz2
rneovim-2c5382aafa2e7f36ddb13a61f557e1d232a4b4ee.zip
ci: remove function run_test
-rw-r--r--ci/common/suite.sh8
1 files changed, 1 insertions, 7 deletions
diff --git a/ci/common/suite.sh b/ci/common/suite.sh
index 8aa9232cdc..8f6d81e264 100644
--- a/ci/common/suite.sh
+++ b/ci/common/suite.sh
@@ -65,12 +65,6 @@ fail() {
FAILED=1
}
-run_test() {
- local cmd="$1"
- local test_name="$2"
- eval "$cmd" || fail "$test_name"
-}
-
ended_successfully() {
if test -f "${FAIL_SUMMARY_FILE}" ; then
echo 'Test failed, complete summary:'
@@ -94,7 +88,7 @@ run_suite() {
local suite_name="$2"
enter_suite "$suite_name"
- run_test "$command" "$suite_name"
+ eval "$command" || fail "$suite_name"
exit_suite
}